import { Component, ViewChild } from '@angular/core';
import * as wjcGrid from "@grapecity/wijmo.grid";


@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent {
  data: any[];
  @ViewChild('flex') flex: wjcGrid.FlexGrid | undefined;

  constructor()
  {
    this.data = this._getData();
  }

  handleShowDataClick(e: any)
  {
    console.log(this.flex?.rows[this.flex?.selection.topRow].dataItem);
  }

  private _getData()
  {
    let countries = 'US,Germany,UK,Japan,Italy,Greece'.split(','),
      data = [];
    for (let i = 0; i < countries.length; i++)
    {
      data.push({
        id: i,
        country: countries[i],
        downloads: Math.round(Math.random() * 20000),
        sales: Math.random() * 10000,
        expenses: Math.random() * 5000
      });
    }
    return data;
  }
}
